name: panoramax_mobile
description: "Panoramax Mobile App"
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.0+1

environment:
  sdk: '>=3.3.3 <4.0.0'

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter
  http: 1.2.2
  json_annotation: 4.9.0
  json_serializable: 6.8.0
  badges: 3.1.2
  permission_handler: 11.3.1
  geolocator: 13.0.2
  cupertino_icons: 1.0.8
  google_fonts: 6.2.1
  flutter_localization: 0.2.0
  intl: 0.19.0
  camera: 0.10.5+9
  equatable: 2.0.7
  loading_animation_widget: 1.3.0
  flutter_launcher_icons: 0.13.1
  get_it: 7.7.0
  webview_flutter: 4.5.0
  webview_cookie_manager: 2.0.6
  shared_preferences: 2.4.0
  native_exif: 0.6.0
  flutter_exif_plugin: 1.1.0
  wakelock_plus: 1.2.10
  url_launcher: 6.3.1
  share: 2.0.4
  android_intent: 2.0.2
  introduction_screen: 3.1.14
  objectbox: 4.0.3
  objectbox_flutter_libs: any
  external_path: 2.0.1
  file_picker: 8.3.5
  device_info_plus: 11.3.0
  animated_text_kit: 4.2.3
  settings_ui: 2.0.2
  country_flags: 3.2.0
  provider: 6.1.2
  screen_brightness: 2.1.1
  flutter_slidable: 4.0.0
  flutter_compass: ^0.8.1
  sensors_plus: ^6.1.1
  talker_flutter: ^4.6.14

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_driver:
    sdk: flutter
  integration_test:
    sdk: flutter
  test: 1.25.8
  build_runner: 2.4.14
#  uuv_flutter: ^0.0.1-beta.4
  husky: 0.1.7
  commitlint_cli: 0.8.1
  objectbox_generator: any

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/logo.jpeg"
  min_sdk_android: 21


  # The "flutter_lints" package below contains a set of recommended lints to
  # encourage good coding practices. The lint set provided by the package is
  # activated in the `analysis_options.yaml` file located at the root of your
  # package. See that file for information about deactivating specific lint
  # rules and activating additional ones.
  flutter_lints: ^2.0.0

  # For information on the generic Dart part of this file, see the
  # following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:
  generate: true

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/
    - assets/onboarding/
    - assets/managedInstance/
    - assets/animation/

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
